<?php

include_once($_SESSION['sys']['basedir'].'/lib/overview_utils.php');

if (empty($_SESSION['kosten_geraete.year'])) $_SESSION['kosten_geraete.year'] = 0;

$mask = array(
	      'table' => 'einsatz',
	      'title' => 'Kostenaufwand für Geräte',
	      'join' => array('gerate ON einsatz.geraet = gerate.id',
			      'anbaugeraete ON einsatz.anbaugeraet = anbaugeraete.id',
			      'arbeitsarten ON einsatz.arbeiten = arbeitsarten.id',
			      'kostenstellen ON einsatz.kostenstelle = kostenstellen.id',
			      ),
	      'where' => "arbeitsarten.arbeitsart <> 'Urlaub' AND arbeitsarten.arbeitsart <> 'Krank' AND arbeitsarten.arbeitsart <> 'Sonstige Fehltage'"
		       . " AND date_part('year', datum) = " . $_SESSION['kosten_geraete.year']
		       . " GROUP BY gerate.id,gerate.geraet,kostenstellen.kostenstelle,laenge",
	      'select' => array(
				'title' => 'Auswahl',
				'options' => discover_years(),
				'default' => 'Jahr wählen',
				'selected' => $_SESSION['kosten_geraete.year'],
				'onchange' => "setvar(this,'year',select_year_calback,select_year_status)",
				),
	      'variables' => array(
				   'year' => array(),
				   ),
 	      'list' => array(
			      'id' => array(
					    'name' => 'ID',
					    'visible' => false,
					    'sql' => 'gerate.id',
					    ),
			      'geraet' => array(
					    'name' => 'Gerät',
					    'sql' => "gerate.geraet",
					    'width' => 170,
					    'specs' => "filterUI: 's'",
					    ),
			      'kostenstelle' => array(
					    'name' => 'Kostenstelle',
					    'sql' => "kostenstellen.kostenstelle",
					    'width' => 200,
					    'specs' => "filterUI: 's'",
					    ),
			      'laenge' => array(
					    'name' => 'Länge',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright', suffix: '&nbsp;', canSort: false",
					    'width' => 70,
					    ),
			      'gesamtkosten' => array(
					    'name' => 'Gesamtkosten',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright', suffix: '&nbsp;', canSort: false",
					    'width' => 90,
					    'sql' => 'sum(geraetstunden * gerate.geraetkst_intern + ' .
						     'geraetstunden * anbaugeraete.anbkst_intern)',
					    ),
			      'prolfdm' => array(
					    'name' => 'pro lfdm',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright', suffix: '&nbsp;', canSort: false",
					    'width' => 60,
					    'sql' => 'sum(geraetstunden * gerate.geraetkst_intern + ' .
						     'geraetstunden * anbaugeraete.anbkst_intern) / laenge',
					    ),
			      ),
	      );

?>
